/**************************************************************************
**   FILE NAME      : ifx_lldp_mib_intf.c
**   PROJECT		: Inca-Ip
**   MODULES	    : LLDP
**   SRC VERSION    : V1.0
**
**   DATE           :12-04-2007
**   AUTHOR         :Supreet M S
**   DESCRIPTION    :Source file 	
**   COMPILER       :GCC
**   REFERENCE      :Coding Guideline Version 2.0
**							
**   COPYRIGHT      :Copyright © 2004
**                   Infineon Technologies AG
**                   St. Martin Strasse 53; 81669 München, Germany
**   DESCLAIMER     :Any use of this Software is subject to the conclusion 
**                   of a respective License Agreement.
**                   Without such a License Agreement no rights to the 
**         	     Software are granted. 
**
**  Version Control Section 
**   $Author$
**   $Date$
**   $Revisions$
**   $Log$       Revision history
***********************************************************************/

#include "ifx_common_defs.h"
#include "ifx_lldp_config.h"
#include "ifx_lldp_mib_if.h"
#include "ifx_lldp_cm_defs.h"
#include "ifx_lldp_cm.h"

/* This function gets the values of all TLV.s
   from either local or remote system MIB based on the input parameters */
uint8 getMibData(uint8 info_type, uint8 intf_index, char8 *msap, void *return_data)
{
  return IFX_LLDP_CM_GetCfgData(intf_index,info_type,msap,return_data);
}

/* This function either sets the values of all TLV.s of the local system MIB
   or adds a new remote system MIB to the remote system MIB table
   based on the input parameters */
uint8 setMibData( uint8 info_type, uint8 intf_index, char8 *msap, void *input_data)
{
  return IFX_LLDP_CM_SetCfgData(intf_index,info_type,msap,input_data);
}

/* This function deletes a remote system MIB entry from the Remote system MIB table */
uint8 deleteMibData(uint8 intf_index, char8 *msap)
{
  return IFX_LLDP_CM_DeleteCfgData(intf_index,remoteMibMsap,msap);
}

