/**************************************************************************
**   FILE NAME      : ifx_lldp_manager.h
**   PROJECT	    : Inca-Ip
**   MODULES        : LLDP
**   SRC VERSION    : V1.0
**
**   DATE           : 12-04-2007
**   AUTHOR         : Awanish G
**   DESCRIPTION    : LLDP Manager Implementation
**   COMPILER       :GCC
**   REFERENCE      :Coding Guideline Version 2.0
**							
**   COPYRIGHT      :Copyright © 20047
**                   Infineon Technologies AG
**                   St. Martin Strasse 53; 81669 München, Germany
**   DESCLAIMER     :Any use of this Software is subject to the conclusion 
**                   of a respective License Agreement.
**                   Without such a License Agreement no rights to the 
**         			 Software are granted. 
**
**  Version Control Section 
**   $Author$
**   $Date$
**   $Revisions$
**   $Log$       Revision history
***********************************************************************/

#ifndef __IFX_LLDP_MANAGER__
#define __IFX_LLDP_MANAGER__

/* This internal function handles TLV Addition */
void IFX_LLDP_HandleAddTlvSelection(boolean bAdd);

/* This internal function handles TLV Deletion */
void IFX_LLDP_HandleDeleteTlvSelection();

/* This internal function gets remote PDU using interface API and displays it */
void IFX_LLDP_GetRemoteMibPdu();

/* This internal function gets remote MIB data in structured format using 
   interface API and displays it */
void IFX_LLDP_GetRemoteMibData();

/* This is a callback function which is called when a message is recevied
   from LLDP Agent */
void IFX_LLDP_WaitForMsg(x_IFX_LLDP_LLDPAGENT_MSG *pxMsg);

/* This internal function fetches and displays port statistics */
void IFX_LLDP_DisplayPortStats();

/* Wrapper function for scanf. return -1 if 'Enter' is pressed */
int32 IFX_LLDP_GetData();

#endif /* __IFX_LLDP_MANAGER__ */
